﻿<?php
  class MySerializableClass {
    public $guid = null;
    public $db = null;

    public function __construct() {
      $this->guid = uniqid();
      $this->connectDb();
    }
    
    private function connectDb() {
      $this->db = new MySQLi('server', 'user', 'password', 'db');
    }

    public function __sleep() {
      $this->db->close();
      return array('guid');
    }
    
    public function __wakeup() {
      $this->connectDb();
    }
  }

  $c1 = new MySerializableClass();
  echo 'Before: ', $c1->guid;
  $s = serialize($c1);
  $c2 = unserialize($s);
  echo '; after: ', $c2->guid;
?>